<html>
  <head>
    <title>Related Links</title>
    <link rel="stylesheet" type="text/css" media="screen" href="index.php?pf=relatedLinks/css/related_link.css"/>
    <?php echo dcPage::jsPageTabs($default_tab); ?>
  </head>
  <body>
    <h2><?php echo html::escapeHTML($core->blog->name); ?> &gt; Related Links</h2>
    <?php if (!empty($message)):?>
    <p class="message"><?php echo $message;?></p>
    <?php endif;?>

    <div class="multi-part" id="relatedlinks_settings" title="<?php echo __('Settings'); ?>">
      <form action="<?php echo $p_url;?>" method="post" enctype="multipart/form-data">
	<fieldset>
	  <legend><?php echo __('Plugin activation'); ?></legend>
	  <p class="field">
	    <?php echo form::checkbox('relatedlinks_active', 1, $relatedlinks_active); ?>
	    <label class="classic"><?php echo __('Enable Related Links plugin');?></label>
	  </p>
	</fieldset>
	<?php if ($relatedlinks_active):?>
	<fieldset>
	  <legend><?php echo __('Content generated by plugin');?></legend>
	  <p><?php echo __('Content generated by the plugin is added automatically at end of each post content. If you don\'t choose that option, you need to customize generated content. Click on "installation" tab (or help button) to see available tags and to see a model example.');?></p>
	  <p class="field">
	    <?php echo form::checkbox('relatedlinks_automatic_content', 1, $relatedlinks_automatic_content); ?>
	    <label class=" classic"><?php echo __('Put automatically at end of post content?');?></label>
	  </p>	  
	</fieldset>	
	<?php endif;?>
	<?php echo form::hidden('p','relatedLinks');?>
	<?php echo $core->formNonce();?>
	<input type="submit" name="saveconfig" value="<?php echo __('Save configuration'); ?>" />
      </form>
    </div>
    <div class="multi-part" id="relatedlinks_code" title="<?php echo __('Installation'); ?>">
      <p><?php echo __('The plugin define new tags for template:');?></p>
      <ul>
	<li><strong>RelatedLinksIf</strong> (<?php echo __('block');?>) : <?php echo __('to only display related links if there are somes.');?></li>
	<li><strong>RelatedLinks</strong> (<?php echo __('block');?>) : <?php echo __('loop to display related links.');?></li>
	<li><strong>RelatedLinkTitle</strong> (<?php echo __('value');?>) : <?php echo __('link label');?></li>
	<li><strong>RelatedLinkURL</strong> (<?php echo __('value');?>) : <?php echo __('link URL');?></li>
      </ul>

      <p><?php echo __('Code example to add to your "post.html" theme template:');?></p>
      <pre>
	&lt;tpl:RelatedLinksIf&gt;
	&nbsp;&nbsp;&lt;div id="related-links"&gt;
	&nbsp;&nbsp;&nbsp;&nbsp;&lt;h3&gt;{{tpl:lang You liked that article...}}&lt;/h3&gt;
	&nbsp;&nbsp;&nbsp;&nbsp;&lt;p&gt;{{tpl:lang you should like the following articles:}}&lt;/p&gt;
	&nbsp;&nbsp;&nbsp;&nbsp;&lt;ul class="posts"&gt;
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;tpl:RelatedLinks&gt;
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li&gt;&lt;a href="{{tpl:RelatedLinkURL}}"&gt;{{tpl:RelatedLinkTitle}}&lt;/a&gt;&lt;/li&gt;
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/tpl:RelatedLinks&gt;
	&nbsp;&nbsp;&nbsp;&nbsp;&lt;/ul&gt;
	&nbsp;&nbsp;&lt;/div&gt;
	&lt;/tpl:RelatedLinksIf&gt;
      </pre>
    </div>
    <div class="multi-part" id="relatedlinks_about" title="<?php echo __('About'); ?>">
      <p>
	<?php echo __('If you want more informations on that plugin or have new ideas to develope it, or want to submit a bug or need help (to install or configure it) or for anything else ...');?></p>
      <p>
	<?php printf(__('Go to %sthe dedicated page%s in'), 
	      '<a href="http://www.nikrou.net/pages/relatedLinks">',
	      '</a>');?>
	<a href="http://www.nikrou.net/">Le journal de nikrou</a>
      </p>
      <p><?php echo __('Made by:');?>
	<a href="http://www.nikrou.net/contact">Nicolas</a> (nikrou)
      </p>
    </div>
    <?php
       dcPage::helpBlock('relatedLinks');
       ?>
  </body>
</html>
